<%@ page import="org.grails.samples.sakila.Actor" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="actor.show" default="Show Actor" /> - ${actorInstance.encodeAsHTML()}</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="list" action="list"><g:message code="actor.list" default="Actor List" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="actor.new" default="New Actor" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="actor.show" default="Show Actor" /> - ${actorInstance.encodeAsHTML()}</h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <g:form>
                <g:hiddenField name="id" value="${actorInstance?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="actor.firstName" default="First Name" />:</td>
                                <td valign="top" class="value">${fieldValue(bean: actorInstance, field: "firstName")}</td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="actor.lastName" default="Last Name" />:</td>
                                <td valign="top" class="value">${fieldValue(bean: actorInstance, field: "lastName")}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'edit', 'default': 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'delete', 'default': 'Delete')}" onclick="return confirm('${message(code: 'delete.confirm', 'default': 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
