<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="auth.login" default="Login" /></title>
    </head>
    <body>
        <div class="body">
            <h1><g:message code="auth.login" default="Login" /></h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <g:hasErrors bean="${loginCommand}">
            <div class="errors">
                <g:renderErrors bean="${loginCommand}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="login" method="post">
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="username"><g:message code="auth.login.username" default="Username" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: loginCommand, field: 'username', 'errors')}">
                                    <g:textField style="width: 150px;" name="username" value="${fieldValue(bean: loginCommand, field: 'username')}" />
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="password"><g:message code="auth.login.password" default="Password" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: loginCommand, field: 'password', 'errors')}">
                                    <g:passwordField style="width: 150px;" name="password" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="login" value="${message(code: 'auth.login', 'default': 'Login')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
