<%@ page import="org.grails.samples.sakila.City" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="city.edit" default="Edit City" /> - ${cityInstance.encodeAsHTML()}</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="list" action="list"><g:message code="city.list" default="City List" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="city.new" default="New City" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="city.edit" default="Edit City" /> - ${cityInstance.encodeAsHTML()}</h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <g:hasErrors bean="${cityInstance}">
            <div class="errors">
                <g:renderErrors bean="${cityInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${cityInstance?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="city"><g:message code="city.city" default="City" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cityInstance, field: 'city', 'errors')}">
                                    <g:textField style="width: 500px;" name="city" maxlength="50" value="${fieldValue(bean: cityInstance, field: 'city')}" />
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="country"><g:message code="city.country" default="Country" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cityInstance, field: 'country', 'errors')}">
                                    <g:select name="country.id" from="${org.grails.samples.sakila.Country.list()}" optionKey="id" value="${cityInstance?.country?.id}"  />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'update', 'default': 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'delete', 'default': 'Delete')}" onclick="return confirm('${message(code: 'delete.confirm', 'default': 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
